- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# DijkstraVectors Class Reference

DijkstraVectors distance transform class. More...

`#include <DijkstraVectors.h>`

Inheritance diagram for DijkstraVectors:

List of all members.

## Public Member Functions
| DijkstraVectors (const int xSize, const int ySize, const bool unload=true)
| construct a distance transform object for an image of size (xSize,ySize).
void | doTransform (const unsigned char *const I)
| calculate the distance transform
virtual bool | getP (const int x, const int y, int &px, int &py) const
| return the "parent" (border point) associated with this point
bool | getP (const int x, const int y, int &px, int &py, const int which) const
## Private Member Functions
void | check (double *d, const int center, const int X, const int Y, set< SetElement *, ltSetElement > &s)
## Private Attributes
vector< SetElement * > * | p
## Classes
struct | ltSetElement
| strict weak ordering on SetElement's. More...
class | SetElement
| Elements of a set class. More...

## Detailed Description

DijkstraVectors distance transform class.

## Constructor & Destructor Documentation

DijkstraVectors::DijkstraVectors | ( | const int | xSize,
|  | const int | ySize,
|  | const bool | unload = `true`
| ) |

| construct a distance transform object for an image of size (xSize,ySize). if 'unload' is true, transforms that use ratios of integers should convert their integer results to the actual double values (of the ratios).

## Member Function Documentation

virtual bool DijkstraVectors::getP | ( | const int | x,
|  | const int | y,
|  | int & | px,
|  | int & | py
| ) | const`[virtual]`

  | return the "parent" (border point) associated with this point Parameters:
  | x | is the x location
  | y | is the y location
  | px | is the parent's x location to be returned
  | py | is the parent's y location to be returned
Returns: true if the parent is know; otherwise false. Reimplemented from DistanceTransform.

## Member Data Documentation

vector<SetElement*>* DijkstraVectors::p`[private]`

| stores vectors of parent locations (border points) & the corresponding distance assignments. used as a 2d array.

The documentation for this class was generated from the following files:

- DijkstraVectors.h
- DijkstraVectors.cpp